﻿IF NOT EXISTS (SELECT 1 FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[DLPAID]') AND name = N'key1')
BEGIN 
PRINT 'Creating index key1 on table DLPAID'
CREATE UNIQUE NONCLUSTERED INDEX [key1] ON [dbo].[DLPAID] 
(
	[RTI] ASC,
	[DATE1] ASC,
	[TILL] ASC,
	[TRAN] ASC,
	[NUMB] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
END
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DLPAID' AND COLUMN_NAME = 'CKEY' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DLPAID_CKEY')
BEGIN 
    PRINT 'Creating default constraint DF_DLPAID_CKEY on table DLPAID' 
    ALTER TABLE [dbo].[DLPAID]
    ADD CONSTRAINT [DF_DLPAID_CKEY] DEFAULT ((0)) FOR [CKEY]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DLPAID' AND COLUMN_NAME = 'DBRF' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DLPAID_DBRF')
BEGIN 
    PRINT 'Creating default constraint DF_DLPAID_DBRF on table DLPAID' 
    ALTER TABLE [dbo].[DLPAID]
    ADD CONSTRAINT [DF_DLPAID_DBRF] DEFAULT ((0)) FOR [DBRF]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'DLPAID' AND COLUMN_NAME = 'ECOM' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_DLPAID_ECOM')
BEGIN 
    PRINT 'Creating default constraint DF_DLPAID_ECOM on table DLPAID' 
    ALTER TABLE [dbo].[DLPAID]
    ADD CONSTRAINT [DF_DLPAID_ECOM] DEFAULT ((0)) FOR [ECOM]
END 
GO

